Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## scone.netobjects
Class InclusionCache

    java.lang.Object
      scone.netobjects.InclusionCache

All Implemented Interfaces:
  TableRecordCacheInterface

    public class InclusionCache

extends java.lang.Object
implements TableRecordCacheInterface

caches all Inclusion objects.
use the static methods provided by this class to obtain Inclusion objects.

Author:
  Harald Weinreich, Volkert Buchmann

Field Summary
`protected static CacheTable` | `cache`
`protected static java.lang.Object` | `lock`

Constructor Summary
`InclusionCache()`

Method Summary
`static void` | `clean()`
`protected static java.lang.String` | `createKey(java.lang.String a, java.lang.String b)` returns the hashkey for the two strings
`static Inclusion` | `get(NetNode parent, NetNode child)` get/create an Inclusion which is defined in parent and includes child
`static Inclusion` | `getById(java.lang.String id)` returns the inclusion specified by the id
`static java.util.Vector` | `getIncludedObjects(NetNode from)` Returns all inclusion objekts of a NetNode
`static java.util.Vector` | `getInclusions(java.lang.String sqlClause)` This method returns a Vector of Inclusions to a given query string
`static void` | `init(int timeTillCleanUp, int gcType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cache

    protected static CacheTable cache

### lock

    protected static java.lang.Object lock

Constructor Detail

### InclusionCache

    public InclusionCache()

Method Detail

### init

    public static void init(int timeTillCleanUp,
                            int gcType)

### get

    public static Inclusion get(NetNode parent,
                                NetNode child)

  get/create an Inclusion which is defined in parent and includes child

  Parameters:
    `parent` - the parent node
    `child` - the child node
  Returns:
    the inclusion

### getById

    public static Inclusion getById(java.lang.String id)

  returns the inclusion specified by the id

  Parameters:
    `id` - the id
  Returns:
    the inclusion

### getIncludedObjects

    public static java.util.Vector getIncludedObjects(NetNode from)

  Returns all inclusion objekts of a NetNode

  Parameters:
    `from` - the NetNode
  Returns:
    the links

### getInclusions

    public static java.util.Vector getInclusions(java.lang.String sqlClause)

  This method returns a Vector of Inclusions to a given query string

  Parameters:
    `sqlClause` - The where clause for the query string.

### createKey

    protected static java.lang.String createKey(java.lang.String a,
                                                java.lang.String b)

  returns the hashkey for the two strings

### clean

    public static void clean()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD